
struct RouteLocalization {

    let statistics: [RouteStatisticType : String]

    let fallback: String

    let hourUnit: String

    let duration: String

    let time: String

    let distance: String

    let loadFail: String
}

extension RouteLocalization {

    static let german: RouteLocalization = .init(
        statistics: [
            .elevation: "Höhe",
            .speed: "Geschwindigkeit",
            .pace: "Pace",
            .heartRate: "Herzfrequenz",
            .energy: "Aktive Kalorien"
        ],
        fallback: "Zur Anzeige der Statistiken wird JavaScript und Unterstützung für HTML5 Canvas benötigt.",
        hourUnit: "Std",
        duration: "Dauer",
        time: "Zeit",
        distance: "Distanz",
        loadFail: "Die Statistiken konnten nicht geladen werden")

    static let english: RouteLocalization = .init(
        statistics: [
            .elevation: "Elevation",
            .speed: "Speed",
            .pace: "Pace",
            .heartRate: "Heart Rate",
            .energy: "Active Energy"
        ],
        fallback: "Javascript and HTML5 Canvas Support are required to display statistics",
        hourUnit: "h",
        duration: "Duration",
        time: "Time",
        distance: "Distance",
        loadFail: "The statistics could not be loaded")
}
